%define oname   memcache-client

Name:       ruby-%{oname}
Version:    1.8.5
Release:    %mkrel 6
Summary:    A Ruby library for accessing memcached
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/mperham/memcache-client
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby library for accessing memcached.

%files
%{_bindir}/memcached_top
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.8.5-6.mga3
+ Revision: 396139
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.8.5-5.mga3
+ Revision: 381115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.8.5-4.mga3
+ Revision: 313350
- rebuild for new ruby

* Sun Feb 06 2011 shikamaru <shikamaru> 1.8.5-3.mga1
+ Revision: 47954
- Add check section and corresponding BR

* Fri Jan 28 2011 shikamaru <shikamaru> 1.8.5-2.mga1
+ Revision: 42492
- imported package ruby-memcache-client

